#include "Camera.h"
#include "World.h"

Camera::Camera(void)
{
	Reset();
}

Camera::~Camera(void)
{
}


void Camera::CreateCamera()
{
	float height = World::theWorld->GetLevelPhysicalHeight();
	gluLookAt(	Position.x, Position.y, Position.z + height,
		Lookat.x, Lookat.y, Lookat.z + height,
		0.0, 0.0, 1.0);
}

void Camera::Reset()
{
	Position.x = 2.0f;
	Position.y = 5.0f;
	Position.z = 6.0f;

	Lookat.x = Lookat.y = Lookat.z = 0.0f;
}