#include "AutoMatrixStack.h"

#include <utils.h>

AutoMatrixStack::AutoMatrixStack(void)
{
	stackdepth = 0;
	Push();
}

AutoMatrixStack::~AutoMatrixStack(void)
{
	PopAll();
}


void AutoMatrixStack::Push()
{
	stackdepth++;
	glPushMatrix();
}

void AutoMatrixStack::Pop()
{
	stackdepth--;
	glPopMatrix();
}

void AutoMatrixStack::PopAll()
{
	while(stackdepth > 0)
	{
		Pop();
	}
}