#pragma once
#include <utils.h>
#include "Camera.h"

class Character: public Camera
{
public:

	Character(void);
	~Character(void);

	virtual void SaveToXml(TiXmlElement *currentElement);
	virtual void LoadFromXml(TiXmlElement *currentElement);
	string GetLookDirection();

	virtual void Reset();

	void Go(int ms);
	void Strafe(int ms);
	void ChangeLook(float dx, float dy);

	void RenderDirectionIndicator(float height);

private:

	void InitializeTexture();
	float m_turnangle;
	float m_upangle;
	void SetLookat();

	GLuint m_indicatorTexture;
};