#pragma once

#include <utils.h>
#include "Collidable.h"

class CollidableBatch
{
public:
	CollidableBatch(){ ClearCollidables(); }
	~CollidableBatch(){}

	bool Collide(Vector3d &sourcePoint, Vector3d &velocityVector);

	void AddCollisionPlane(CollidablePlane *plane);
	void ClearCollidables();

protected:
	CollidablePlane *m_collidablePlanes[MAX_COLLIDABLE*9];
	int m_collidableCount;
};